<?php 
if (! defined('ABSPATH') ) exit;

if (! class_exists('TRS_BX_SLIDER_SETTINGS_PAGE')){
	class TRS_BX_SLIDER_SETTINGS_PAGE extends TRS_BX_SLIDER{
		
		private $slider_settings_menu_slug;
		
		
		function __construct ()
		{
			parent::__construct();
			
			
			$this->slider_settings_menu_slug = parent::getPluginSlug() . 'settings';
			add_action('admin_menu', [$this, 'bx_slider_settings_page']);
		}
		
		public function bx_slider_settings_page ()
		{
			add_submenu_page('edit.php?post_type=' . parent::getPluginSlug(), __('TRS BX Slider Settings', parent::getPluginSlug()), __('Settings', parent::getPluginSlug()), 'manage_options', $this->slider_settings_menu_slug, [$this, 'render_settings_page']);
		}
		
		public function render_settings_page ()
		{
			ob_start();
			?>
			
			<div class="wrap">
				<h1><?php _e('Slider Settings', parent::getPluginSlug()); ?></h1>
				
				<p><?php _e('Slider settings will included in next version. Please donate us <a href="http://www.therightsol.com/donations/"> Click Here </a>', parent::getPluginSlug()); ?></p>
				
				<hr />
				<p class="description"><?php _e('Please note that this plugin will always free. And all of its future releases and updates will always be free of cost.'); ?></p>
				<div class="description contact"><?php _e('Contact Us: <a href="mailto:plugins@therightsol.com">plugins@therightsol.com</a>', parent::getPluginSlug()); ?></div>
			</div>

			<?php
			echo apply_filters('trs_bx_slider_return_settings_page_html', ob_get_clean());
		}
	}
	
	new TRS_BX_SLIDER_SETTINGS_PAGE;
}