<?php 
if (! defined('ABSPATH') ) exit;

if (! class_exists('TRS_BX_SLIDER_SHORTCODE_HANDLER')){
	class TRS_BX_SLIDER_SHORTCODE_HANDLER extends TRS_BX_SLIDER_COMMON_CLASS_ABSTRACT {
	
		public static $shortcode_slug = 'trs-bx-slider';
		private $adaptive_height = '';
		
		function __construct ()
		{
			add_shortcode(self::getShortcodeSlug(), [$this, 'render_shortcode']);
			add_action('wp_footer', [$this, 'render_dynamic_bx_slider_js']);
		}
		
		/**
		 * @return string
		 */
		public static function getShortcodeSlug ()
		{
			return self::$shortcode_slug;
		}
		
		
		public function render_dynamic_bx_slider_js ()
		{
			echo apply_filters('render_dynamic_bx_slider_js', (include_once (FRONTEND_INCLUDES_DIR . '/dynamic-bx-slider.php')) );
		}
		
		
		public function render_shortcode ($atts )
		{
		    extract(
				shortcode_atts(
					[
						'id'	=> false
					], $atts
				)
			);
			
			
			
			if ($id && !empty($id)){
				$post = get_post( $id );
				$sliderArr = get_post_meta($post->ID, TRS_BX_SLIDER_POST::getDbSliderKey(), true);
				$sliderMetaArr = get_post_meta($post->ID, TRS_BX_SLIDER_POST::getDbSliderMetaKey(), true);
				
				$slider_height = (isset($sliderMetaArr['slider_height']) && !empty($sliderMetaArr['slider_height'])) ? $sliderMetaArr['slider_height'] : '';
				$adaptive_height = (isset($sliderMetaArr['adaptive_height']) && !empty($sliderMetaArr['adaptive_height'])) ? $sliderMetaArr['adaptive_height'] : '';
				
				
				// configure class variables.
				if (! empty($adaptive_height)){
					$this->adaptive_height = 'adaptiveHeight: true,';
                }
				
                
				$style = '';
				if (empty($adaptive_height)){
					if (!empty($slider_height)):
						$style .= 'style="';
						
						$style .= 'height: ' . $slider_height . 'px ; ';
						$style .= 'width: 100%; ';
						
						
						$style .= '"';
					
					endif;
                }
				
				ob_start();
				?>

				<ul class="trs-bx-slider bxslider slider-<?php echo $id; ?> slider-title-<?php echo $post->post_title; ?>" >
				
				<?php foreach ($sliderArr as $slide ) : ?>
					<li <?php echo $style; ?> style="" class="slide-image-<?php echo $slide['image_id']; ?>" >
						<img <?php echo $style; ?> src="<?php echo $slide['img_url']; ?>" title="<?php echo $slide['img_caption']; ?>" />
					</li>
				<?php endforeach; ?>
				
				</ul>
				
				<?php
				return apply_filters('trs_bx_slider_return_shortcode_html', ob_get_clean());
 			}
			
			return '';
		}
	}
	
	new TRS_BX_SLIDER_SHORTCODE_HANDLER();
}

